#pragma once

#include <openssl/ssl.h>
#include <openssl/rand.h>
#include <openssl/err.h>

// common
int sslFreeCTX();
int sslCheckCert(SSL *pSSL, char *host);

// client's 
int sslInitCTX_c(char *CAlist, char *keyfile, char *passwd);
int sslCreateSSL_c(SSL **pSSL);
int sslHandShake_c(SSL *pSSL, PBYTE pRespond, int len);